function [] = slices(filepath)

loaded = load(filepath);
result = loaded.slicesResults;

fig = figure('Position', [100, 100, 700, 700]);

set(fig,'defaultAxesColorOrder',[0.0 0.0 0.0; 0.0 0.0 0.0]);

plot(result.sliceCount, result.datasetSize, 'MarkerFaceColor', 'black', 'Marker', 's', 'Color', 'k', 'LineStyle', 'none')
xlabel('Počet řezů')
ylabel('Počet unikátních učebních vektorů')

grid on
hold on
yyaxis right


plot(result.sliceCount, result.sensitivity, 'MarkerFaceColor', 'red', 'Marker', 'x', 'Color', 'r', 'LineStyle', 'none')
plot(result.sliceCount, result.specificity, 'MarkerFaceColor', 'red', 'Marker', 'o', 'Color', 'r', 'LineStyle', 'none')

ylabel('Sensitivita a specificita')

legend('Počet unikátních učebních vektorů', 'Sensitivita', 'Specificita')
end